Bug 118330 - [NEWHELP] Change of terminology in CONTENTS sidebar
Summary: [NEWHELP] Change of terminology in CONTENTS sidebar
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: New-Help
  Show dependency treegraph
 
Reported: 2018-06-23 11:32 UTC by Olivier Hallot
Modified: 2018-07-19 22:33 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2018-06-23 11:32:31 UTC
Hi Designers / UX guys

On working with the new help for 6.1 as shown in e.g
https://help.libreoffice.org/6.1/en-US/text/shared/main0108.html

I see the CONTENTS left sidebar with main entries as:

Macro and programming
Spreadsheets
Charts and Diagrams
Installation
Common Help Topics
Database Functionality
Presentation and drawings
Formulas
Text Documents
HTML documents

I'd like to propose we change the following terminology 

Macro and programming  -> BASIC programming
Spreadsheets   -> CALC
Charts and Diagrams -> CHART
Installation -> %PRODUCTNAME Installation
Common Help Topics -> COMMON help Topics
Database Functionality -> BASE
Presentation and drawings -> IMPRESS and DRAW
Formulas -> MATH
Text Documents -> WRITER
HTML documents -> WRITER WEB

My biased view is that the module names are more significant visually at click time than the current terms employed.

I'd like advises, change is trivial.
Comment 1 Heiko Tietze 2018-06-27 06:59:54 UTC Comment hidden (no-value)
Comment 2 V Stuart Foote 2018-06-27 13:11:30 UTC
I've no heartburn in changing the heading labels, so long as the articles are fully indexed for search.

Current headings are exactly the terms I would use to locate the help articles--if that remains after changes, sure.

Otherwise, need to rethink...
Comment 3 Cor Nouws 2018-07-04 16:53:39 UTC
Somehow I find it elegant (.. ?) that more general terms than the product names are used. Matter of educating the user.. maybe that causes my idea.
Comment 4 Heiko Tietze 2018-07-04 19:39:08 UTC
We discussed the topic in the design meeting. While the idea to promote module names is good we think the clear names are more important. Good compromise might be to add modules in brackets.

Macro and programming  -> Macros and scripting
Spreadsheets -> Spreadsheets (CALC)
Charts and Diagrams -> Charts and Diagrams
Installation -> %PRODUCTNAME Installation
Common Help Topics -> Common Help Topics
Database Functionality -> Database Functionality (BASE)
Presentation and drawings -> Presentation and drawings (IMPRESS/DRAW)
Formulas -> Formulas (MATH)
Text Documents -> Text Documents (WRITER)
HTML documents -> HTML documents (WRITER WEB)

We should involve l10n for the actual labels, for example if the modules are written uppercase etc.

To think ahead we should do the same for the menu at File > New
     + Text documents (WRITER)
     ...
     + Database (BASE)
Comment 5 Adolfo Jayme 2018-07-04 19:43:00 UTC
I second Cor. Also, I see no value in adding an all-caps SHOUTOUT everywhere.
Comment 6 sophie 2018-07-05 09:40:46 UTC
I second Olivier's request to add the name of the modules, but no need to uppercase them, they are not uppercased in other places in the UI. Sophie
Comment 7 Commit Notification 2018-07-19 11:24:11 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=c58bf8545eb2f76dee66921dad945f17b5274f6f

tdf#118330 Terminology change of CONTENTS sidebar
Comment 8 Heiko Tietze 2018-07-19 11:31:25 UTC
Design team recommended to add the module name in brackets [1], which has been done by Olivier now. Thank you! 

[1] https://wiki.documentfoundation.org/Design/Meetings/2018-07-04.
Comment 9 Adolfo Jayme 2018-07-19 22:33:26 UTC
Again: has nobody thought that this change is redundant with the module picker at the top of every help page?